Support » Plugin: Upload Media By URL » The basic functionality is great, but currently conflicts with PHP v7.4

  • The ability to “Upload Images by URL” is fantastic and works without a hitch. Intuitive, functional, quick. That boosts your productivity and this plugin would be perfect.

    However, when you trying to attach a Featured Image to a post, I encountered an error and wasn’t able to continue. Had to de-install.

    • This topic was modified 3 months, 3 weeks ago by kato. Reason: Revised knowing more info
Viewing 4 replies - 1 through 4 (of 4 total)
  • Thread Starter kato

    (@kato)

    WPEngine sent an automated error linked to this plug-in (by name.) So what I thought was a takeover, might have just been the WP functionality displayed improperly.

    For anyone who wants to debug the error is on line 97. Here’s the log file sent by WPEngine:

    Error Details
    =============
    An error of type E_ERROR was caused in line 97 of the file /nas/content/live/MySite/wp-content/plugins/upload-media-by-url/inc/umbumedia.php. Error message: Uncaught Error: Using $this when not in object context in /nas/content/live/MySite/wp-content/plugins/upload-media-by-url/inc/umbumedia.php:97
    Stack trace:
    #0 /nas/content/live/MySite/wp-includes/class-wp-hook.php(287): umbu_CustomMediaUI::umbu_mediaButton('')
    #1 /nas/content/live/MySite/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters('', Array)
    #2 /nas/content/live/MySite/wp-includes/plugin.php(484): WP_Hook->do_action(Array)
    #3 /nas/content/live/MySite/wp-includes/media-template.php(273): do_action('post-plupload-u...')
    #4 /nas/content/live/MySite/wp-includes/class-wp-hook.php(287): wp_print_media_templates('')
    #5 /nas/content/live/MySite/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array)
    #6 /nas/content/live/MySite/wp-includes/plugin.php(484): WP_Hook->do_action(Array)
    #7 /nas/content/live/MySite/wp-admin/admin-footer.php(78): do_action('admin_footer', '')
    #8 /nas/content/live/MySite/wp-admin/pos
    Plugin Author notetoservices

    (@notetoservices)

    Hey kato,

    I will update it in the next release… certain versions of PHP have a problem with $this for some reason. So please feel free to re-install it and update it if you do wish to use the plugin again and hopefully you will find use for this plugin.

    Before leaving your rating next time, please contact me so I can fix the issue. I appreciate your bug report!

    Thread Starter kato

    (@kato)

    Hi Notetoservices,

    I revised my review with the new information that you’re working on a fix. Thanks.

    Looking forward to re-installing.

    BTW, WP-Engine encourages their users to use the latest version of PHP whenever possible, even though PHP 7.4 deprecates .htaccess (!) 🙂

    Plugin Author notetoservices

    (@notetoservices)

    Hey @kato, I’ve updated the plugin so there shouldn’t be an error there anymore. I do not have WP Engine, so only you can let me know if it is working!

    And thank you for helping me ensure this plugin is bug-free!

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this review.